### Method

# Gio DBusMethodInvocation get_parameters

since: 2.26

#### Declaration

    GVariant*
    g_dbus_method_invocation_get_parameters (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets the parameters of the method invocation. If there are no input parameters then this will return a GVariant with 0 children rather than NULL.

Available since: 2.26

#### Return value

Type: `GVariant`

A `GVariant` tuple. Do not unref this because it is owned by `invocation`.

The returned data is owned by the instance.